Community Tip - If community subscription notifications are filling up your inbox you can set up a daily digest and get all your notifications in a single email. X
I have a Model and i stored in my computer.Ex(C:\Desktop\load.prt)
In my proE session i involved a GUI.Where user can do some works.Here what i want is,I want to load a model that stored in C:\Desktop\load.prt when user clicks the button .Can please any one tell me how to do this?
Solved! Go to Solution.
You have not retrieved the part/asm. This code will open drawing in new activated window.
final String modelName = "test";
final String path = "c:/users/xxx/desktop/";
ModelDescriptor modelMD = pfcModel.ModelDescriptor_CreateFromFileName(
path + modelName + ".prt");
ModelDescriptor drwMD = pfcModel.ModelDescriptor_CreateFromFileName(
path + modelName + ".drw");
RetrieveModelOptions rmo = pfcSession.RetrieveModelOptions_Create();
rmo.SetAskUserAboutReps(false);
session.RetrieveModelWithOpts(modelMD, rmo);
Drawing drawing = (Drawing) session.RetrieveModelWithOpts(drwMD, rmo);
Window drwWin = session.CreateModelWindow(drawing);
drawing.Display();
drwWin.Activate();
Toolkit error is arising.. but don't know why it is arising.
Try to solve it. I cant help you more. This works for me.
no problem
Its perfectly working .I failed to load my model thats why error arised.
session = pfcGlobal.GetProESession();
ModelDescriptor md1=null;
md1 = pfcModel.ModelDescriptor_CreateFromFileName("C:\\Users\\350\\Desktop\\Mastermodels\\xxxx.prt");
RetrieveModelOptions rmo1 = pfcSession.RetrieveModelOptions_Create();
rmo1.SetAskUserAboutReps(false);
session.RetrieveModelWithOpts(md1, rmo1);
ModelDescriptor md=null;
md = pfcModel.ModelDescriptor_CreateFromFileName("C:\\Users\\350\\Desktop\\Mastermodels\\xxxx.drw");
RetrieveModelOptions rmo = pfcSession.RetrieveModelOptions_Create();
rmo.SetAskUserAboutReps(false);
Drawing draw=(Drawing)session.RetrieveModelWithOpts(md, rmo);
draw.Display();
Window window = session.GetModelWindow(draw);
window.Activate();
Hi ,I have a doubt.I want to open a drawing file and as well as its model file in a same session.Is it possible using Jlink.I did something but the file load in a single window only.Can you please guide me ?
Create new window for model (part/asm) too and display the model. Then activate the window you want to be activated.
Sorry ,I can't able to create a new window.
Window window=session.createmodelWindow(Model mod);
window .activate();
It loads the model in the existing window.
ModelDescriptor md1=null;
md1 = pfcModel.ModelDescriptor_CreateFromFileName("C:\\Users\\350\\Desktop\\Mastermodels\\xxxx.prt");
RetrieveModelOptions rmo1 = pfcSession.RetrieveModelOptions_Create();
rmo1.SetAskUserAboutReps(false);
Model mdl=session.RetrieveModelWithOpts(md1, rmo1);
mdl.Display();
Window window= session.CreateModelWindow(mdl);
window.Activate();
ModelDescriptor md=null;
md = pfcModel.ModelDescriptor_CreateFromFileName("C:\\Users\\350\\Desktop\\Mastermodels\\xxxx.drw");
RetrieveModelOptions rmo = pfcSession.RetrieveModelOptions_Create();
rmo.SetAskUserAboutReps(false);
Drawing draw=(Drawing)session.RetrieveModelWithOpts(md, rmo);
draw.Display();
Window window1 = session.CreateModelWindow(draw);
window1.Activate();
Your code works for me well. You should use try-catch blocks to identify your problems. The exceptions are explained in HTML documentation.
Thank you.....
Here I want open the drawing file.not a part file .I tried something.Thanks for your valuable time.and Sorry to disturb you,
DrawingCreateOptions sd = com.ptc.pfc.pfcDrawing.DrawingCreateOptions.create();
ModelDescriptor md1=null;
md1 = pfcModel.ModelDescriptor_CreateFromFileName("C:\\Users\\350154\\Desktop\\Mastermodels\\xxxx.drw");
RetrieveModelOptions rmo1 = pfcSession.RetrieveModelOptions_Create();
rmo1.SetAskUserAboutReps(false);
Model mdl=session.RetrieveModelWithOpts(md1, rmo1);
ModelDescriptor md=null;
Drawing draw=(Drawing)session.RetrieveModelWithOpts(md, rmo);
draw.Display();
Drawing drawingfile=session.CreateDrawingFromTemplate("New", null, md, sd);
Window win=session.CreateModelWindow(drawingfile);
drawingfile.Display();
You have not specitied template. You cant pass null as argument. You have to set DrawingCreateOption too. There is also example of using this method in doc example directory. Name of example file: pfcDrawingExamples.